Model swap

Start a new job

Start a new model swap batch processing job for the authenticated user.

POST
/model-swap
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

identity_codeIdentity Code

The original identity code to swap over the images.

project_idProject Id

The project identifier where images are stored.

imagesImages

List of image UUIDs to be processed.

post_process?Post Process

Enables or disables post processing for all images in the batch.

Defaultfalse
swap_options?Swap Options
Default{}

Empty Object

Response Body

Examples

curl -X POST "https://v2.api.piktid.com/model-swap" \
  -H "Content-Type: application/json" \
  -d '{
    "identity_code": "string",
    "project_id": "string",
    "images": [
      "string"
    ]
  }'
{
  "job_id": "string",
  "status": "string",
  "message": "string"
}
Empty
Empty